// Fotter
.form_footer-bg {
  background-repeat: no-repeat;
  background-size: cover;
  background-image: url(../img/form_bg.png);
  height: 100vh;
  @include flex();
  @media (min-width: $mobile-min) and (max-width: $tablet) {
    height: auto;
  }
  @media (min-width: $desktop) {
    @include flex();
    padding: 0;
  }
  .form-box {
    padding: 181px 0px 135px;
    @media (min-width: $mobile-min) and (max-width: $tablet) {
      padding: 135px 0px 75px;
    }
    form {
      position: relative;
      width: 468px;
      @include flex();
      flex-direction: column;
      align-items: center;
      @media (min-width: $mobile-min) and (max-width: $mobile) {
        width: 250px;
      }
      @media (min-width: $mobile-min) and (max-width: $laptop) {
        margin: 0 auto;
      }
      @media (min-width: $mobile) and (max-width: $tablet-min) {
        width: 425px;
      }
      @media (min-width: $tablet-min) and (max-width: $tablet) {
        width: 600px;
        margin: 0 auto;
      }
      @media (min-width: $desktop) {
        width: 800px;
      }
      .form-group {
        padding: 0;
        margin-bottom: 20px;
        .custom-st {
          @include border-radius();
          display: block;
          width: 224px;
          height: 48px;
          background: bottom;
          font-size: 16px;
          color: $primary-color;
          line-height: 0.7;
          @media (min-width: $mobile-min) and (max-width: $tablet) {
            width: 300px;
          }
          @media (min-width: $mobile) and (max-width: $tablet) {
            width: 395px;
            height: 51px;
          }
          @media (min-width: $tablet-min) and (max-width: $tablet) {
            width: 285px;
          }
          @media (min-width: $desktop) {
            width: 385px;
          }
        }
        input::-webkit-input-placeholder {
          color: $primary-color;
        }
        input:focus-visible {
          outline-color: $grey-color;
        }
        textarea:focus-visible {
          outline-color: $grey-color;
        }
        textarea::-webkit-input-placeholder {
          color: $primary-color;
        }
        .custom-textarea {
          width: 468px;
          height: 76px;
          margin-top: 5px;
          margin-bottom: 17px;
          @media (min-width: $mobile-min) and (max-width: $mobile) {
            width: 300px;
          }
          @media (min-width: $mobile) and (max-width: $tablet) {
            width: 395px;
            height: 95px;
          }
          @media (min-width: $tablet-min) and (max-width: $tablet) {
            width: 600px;
          }
          @media (min-width: $desktop) {
            width: 800px;
          }
        }
        .select {
          @include border-radius();
          display: block;
          width: 224px;
          height: 48px;
          position: relative;
          background: bottom;
          font-size: 16px;
          color: #fff;
          line-height: 0.7;
          cursor: pointer;
          @media (min-width: $mobile-min) and (max-width: $mobile) {
            width: 300px;
          }
          @media (min-width: $mobile) and (max-width: $tablet) {
            width: 395px;
            height: 51px;
          }
          @media (min-width: $tablet-min) and (max-width: $tablet) {
            width: 285px;
          }
          @media (min-width: $desktop) {
            width: 385px;
          }
          .new-select {
            user-select: none;
            @include flex($justify: space-between);
            line-height: 0.7;
            &:after {
              content: "";
              display: block;
              width: 19px;
              height: 12px;
              background-image: url("../img/arrow_form.png");
              background-repeat: no-repeat;
            }
          }
          .new-select__list {
            @include border-radius($padding: 0 0);
            position: absolute;
            top: -3px;
            left: -3px;
            cursor: pointer;
            width: 224px;
            z-index: 2;
            background: $primary-color;
            user-select: none;
            @media (min-width: $mobile-min) and (max-width: $mobile) {
              width: 300px;
            }
            @media (min-width: $mobile) and (max-width: $tablet) {
              width: 395px;
            }
            @media (min-width: $tablet-min) and (max-width: $tablet) {
              width: 285px;
            }
            @media (min-width: $desktop) {
              width: 400px;
            }
            &::before {
              content: "Gender";
              display: block;
              position: relative;
              top: -3px;
              left: -3px;
              width: 224px;
              height: 48px;
              color: $primary-color;
              background: $grey-color;
              @include border-radius();
              @media (min-width: $mobile-min) and (max-width: $mobile) {
                width: 300px;
              }
              @media (min-width: $mobile) and (max-width: $tablet) {
                width: 395px;
                height: 51px;
              }
              @media (min-width: $tablet-min) and (max-width: $tablet) {
                width: 285px;
              }
              @media (min-width: $desktop) {
                width: 400px;
              }
            }
            .new-select__item {
              color: $grey-color;
              &:nth-child(1) {
                border-radius: 15px;
              }
              &:hover {
                color: $red-color_bg;
              }
              span {
                display: block;
                padding: 10px 15px;
              }
            }
          }
        }
      }
      .custom-control {
        @include flex($justify: start);
        @media (min-width: $mobile-min) and (max-width: $mobile) {
          margin-bottom: 0;
        }
        &-input {
          position: absolute;
          opacity: 0;
          width: 20px;
          height: 20px;
          cursor: pointer;
          &:checked + label::before {
            background-color: $secondary-color_bg;
            background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23D02B2B' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
            background-repeat: no-repeat;
            background-position: center center;
            background-size: 70%;
          }
        }
        &-label {
          @include flex();
          @include title($font-f: $font-primary);
          font-size: 16px;
          color: $red-color_bg;
          user-select: none;
          &::before {
            content: "";
            @include border-radius(
              $padding: 0 0,
              $border: 2px solid $red-color_bg,
              $border-r: 3px
            );
            display: inline-block;
            width: 20px;
            height: 20px;
            flex-shrink: 0;
            flex-grow: 0;
            margin-right: 7px;
          }
        }
      }
    }
  }
}
